# Produce MSDOS executables
# links with PDPCLIB created by makefile.wcd

CC=wcl
COPTS=-ecc -q -w -c -ml -zl -D__MSDOS__ -fpi87 -s -zdp -zu -I. -I..\..\pdos\pdpclib

all: clean s86.exe sld.exe sar.exe

s86.exe: s86.obj ufseek.obj
  wlink File s86.obj,ufseek.obj Name s86.exe Form dos Library ..\..\pdos\pdpclib\watcom.lib Option quiet

sld.exe: sld.obj ufseek.obj
  wlink File sld.obj,ufseek.obj Name sld.exe Form dos Library ..\..\pdos\pdpclib\watcom.lib Option quiet

sar.exe: sar.obj ufseek.obj
  wlink File sar.obj,ufseek.obj Name sar.exe Form dos Library ..\..\pdos\pdpclib\watcom.lib Option quiet

.c.obj:
  $(CC) $(COPTS) $<

clean:
  rm -f *.obj
  rm -f s86.exe
